Bug 1461984 - Build openjfx on i686
Build openjfx on i686
Product: Fedora
Classification: Fedora
Component: openjfx (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonny Heggheim
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-15 15:47 EDT by Omair Majid
Modified: 2017-06-25 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: openjfx-8.0.152-12.b04.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-25 12:19:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
build on i686 too (404 bytes, patch)
2017-06-15 15:47 EDT, Omair Majid
no flags Details | Diff

  None (edit)
Description Omair Majid 2017-06-15 15:47:18 EDT
Created attachment 1288167 [details]
build on i686 too

OpenJFX is currently being built on x86_64 only:


It should be built on i686 as well. Otherwise dependencies - such as OpenJDK - can not be installed.

The attached patch fixes that.
Comment 1 Jonny Heggheim 2017-06-15 16:55:03 EDT
Comment 3 Jonny Heggheim 2017-06-15 17:28:09 EDT
Do you know if these errors will cause problems:

BuildError: The following noarch package built differently on different architectures: openjfx-src-8.0.152-11.b04.fc26.noarch.rpm
rpmdiff output was:
error: cannot open Packages index using db5 - Permission denied (13)
error: cannot open Packages database in /var/lib/rpm
error: cannot open Packages database in /var/lib/rpm
removed     REQUIRES openjfx(x86-64) = 8.0.152-11.b04.fc26
added       REQUIRES openjfx(x86-32) = 8.0.152-11.b04.fc26
Comment 4 Jonny Heggheim 2017-06-15 17:30:35 EDT
Too late here, I did not see this one "State: failed"
Comment 5 Fedora Update System 2017-06-16 03:23:15 EDT
openjfx-8.0.152-12.b04.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e898ddd8ca
Comment 6 Fedora Update System 2017-06-16 18:25:14 EDT
openjfx-8.0.152-12.b04.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e898ddd8ca
Comment 7 Fedora Update System 2017-06-25 12:19:15 EDT
openjfx-8.0.152-12.b04.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.